public class Engine {

    public final String onboard;
    public PassengerCar next;

    
    public Engine(String conductor){
        this(conductor, null);
    }

    public Engine(String conductor, PassengerCar car){
        onboard = conductor;
        next = car;
    }

    public String toString(){
        return "[Engine: " + onboard + "]->";
    }

    public void printCars(){
        System.out.print(this);
        if(next != null){
            next.printCars();
        }
        else{
            System.out.println();
        }
    }
    
}
