public class PassengerCar{

    public final String onboard;
    public Caboose next;

    public PassengerCar(String passenger){
        this(passenger, null);
    }

    public PassengerCar(String passenger, Caboose caboose){
        onboard = passenger;
        next = caboose;
    }

    public String toString(){
        return "[Passenger: " + onboard + "]->";
    }

    public void printCars(){
        System.out.print(this);
        if(next != null){
            next.printCars();
        }
        else{
            System.out.println();
        }
    }

}
